| 0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_interpolation
GTX Extensions (Experimental)

Allows to directly interpolate two exiciting matrices. More...

## Functions
template<typename T , precision P>
GLM_FUNC_DECL void | axisAngle (tmat4x4< T, P > const &mat, tvec3< T, P > &axis, T &angle)
| Get the axis and angle of the rotation from a matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | axisAngleMatrix (tvec3< T, P > const &axis, T const angle)
| Build a matrix from axis and angle. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | extractMatrixRotation (tmat4x4< T, P > const &mat)
| Extracts the rotation part of a matrix. More...
template<typename T , precision P>
GLM_FUNC_DECL tmat4x4< T, P > | interpolate (tmat4x4< T, P > const &m1, tmat4x4< T, P > const &m2, T const delta)
| Build a interpolation of 4 * 4 matrixes. More...

## Detailed Description

Allows to directly interpolate two exiciting matrices.

<glm/gtx/matrix_interpolation.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_DECL void glm::axisAngle | ( | tmat4x4< T, P > const & | mat,
|  | tvec3< T, P > & | axis,
|  | T & | angle
| ) |  |

Get the axis and angle of the rotation from a matrix.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::axisAngleMatrix | ( | tvec3< T, P > const & | axis,
|  | T const | angle
| ) |  |

Build a matrix from axis and angle.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::extractMatrixRotation | ( | tmat4x4< T, P > const & | mat | ) |

Extracts the rotation part of a matrix.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL tmat4x4<T, P> glm::interpolate | ( | tmat4x4< T, P > const & | m1,
|  | tmat4x4< T, P > const & | m2,
|  | T const | delta
| ) |  |

Build a interpolation of 4 * 4 matrixes.

From GLM_GTX_matrix_interpolation extension. Warning! works only with rotation and/or translation matrixes, scale will generate unexpected results.